# Job Postings Job Postings ## Creates a new job posting record that does not already exist. - [POST /jobPostings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/createjobposting.md): This method will auto-generate an ID and create a new job posting. If an ID is specified for the job posting, an error will be thrown. ## Sends out a preview of the CRC notification email - [POST /jobPostings/{tenantId}/apply/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/applytojob.md): Sends out a preview of the CRC notification email ## Execute Batch Operations - [POST /jobPostings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified organization_id - [GET /jobPostings/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/listpostingsbyorganizationid.md): Returns a list of records with the specified organization_id ## Creates a new job posting record that does not already exist. - [POST /jobPostings/{tenantId}/post](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/postjob.md): This method will auto-generate an ID and create a new job posting. If an ID is specified for the job posting, an error will be thrown. ## Sends out a preview of the CRC notification email - [POST /jobPostings/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/previewemail.md): Sends out a preview of the CRC notification email ## Searches for job postings using predefined parameters - [POST /jobPostings/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/searchforjobpostings.md): Searches for job postings using predefined parameters ## Returns a job posting from the system by its ID. - [DELETE /jobPostings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/deletejobposting.md): This method will delete a job posting with the specified ID. ## Returns a job posting from the system by its ID. - [GET /jobPostings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/getjobposting.md): This method will look up a job posting by the specified ID and return it back. ## Partially updates a job posting with the specified ID. - [PATCH /jobPostings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/patchjobposting.md): This method will patch an existing job posting with the specified ID, using the HTTP PATCH specification. ## Updates a job posting with the specified ID. - [PUT /jobPostings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/updatejobposting.md): This method will update an existing job posting with the specified ID.